<?php

class Restaurantz_Cta_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'restaurantz-cta',
			__( 'Restaurantz: CTA', 'restaurantz' ),
			array(
				'description' => __( 'Simple Call To Action widget', 'restaurantz' ),
			),
			array(),
			array(
				'title' => array(
					'type'  => 'text',
					'label' => __( 'Title', 'restaurantz' ),
				),
				'sub_title' => array(
					'type'  => 'text',
					'label' => __( 'Subtitle', 'restaurantz' ),
				),
				'button' => array(
					'type'  => 'widget',
					'class' => 'SiteOrigin_Widget_Button_Widget',
					'label' => __( 'Button', 'restaurantz' ),
				),
				'settings' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'restaurantz' ),
					'hide' => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'restaurantz' ),
							'default' => '#562c19',
						),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'restaurantz' ),
							'default' => '#313131',
						),
						'color_icon_hover' => array(
							'type'    => 'color',
							'label'   => __( 'Icon Hover Color', 'restaurantz' ),
							'default' => '#313131',
						),
						'color_button_hover' => array(
							'type'    => 'color',
							'label'   => __( 'Button Hover Color', 'restaurantz' ),
							'default' => '#313131',
						),
						'color_button_background_hover' => array(
							'type'    => 'color',
							'label'   => __( 'Button Background Hover Color', 'restaurantz' ),
							'default' => '#f9a400',
						),
	    			),
				),
			),
			plugin_dir_path( __FILE__ )
		);

	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings']['color_widget_title'];
		}
		if ( ! empty( $instance['settings']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['settings']['color_icon_hover'] ) ) {
			$less_vars['color_icon_hover'] = $instance['settings']['color_icon_hover'];
		}
		if ( ! empty( $instance['settings']['color_button_hover'] ) ) {
			$less_vars['color_button_hover'] = $instance['settings']['color_button_hover'];
		}
		if ( ! empty( $instance['settings']['color_button_background_hover'] ) ) {
			$less_vars['color_button_background_hover'] = $instance['settings']['color_button_background_hover'];
		}
		return $less_vars;

	}


	function modify_child_widget_form( $child_widget_form, $child_widget ) {
		// Remove alignment option in Button.
		unset( $child_widget_form['design']['fields']['align'] );
		return $child_widget_form;
	}

	/**
	 * Initialize the CTA widget.
	 */
	function initialize() {
		// This widget requires the button widget.
		if ( ! class_exists( 'SiteOrigin_Widget_Button_Widget' ) ) {
			SiteOrigin_Widgets_Bundle::single()->include_widget( 'button' );
		}
	}
}

siteorigin_widget_register( 'restaurantz-cta', __FILE__, 'Restaurantz_Cta_Widget' );
