<?php

class Restaurantz_Featured_Event_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'restaurantz-featured-event',
			__( 'Restaurantz: Featured Event', 'restaurantz' ),
			array(
				'description' => __( 'Displays Single Event.', 'restaurantz' ),
			),
			array(),
			array(
				'title' => array(
					'type'  => 'text',
					'label' => __( 'Title', 'restaurantz' ),
				),
				'sub_title' => array(
					'type'  => 'text',
					'label' => __( 'Subtitle', 'restaurantz' ),
				),
				'featured_event_id' => array(
					'type'        => 'number',
					'label'       => __( 'Event ID', 'restaurantz' ),
					'description' => __( 'Leave Blank to Show a Future Event', 'restaurantz' ),
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'restaurantz' ),
					'hide'   => true,
					'fields' => array(
						'widget_title_color' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'restaurantz' ),
							'default' => '#562c19',
						),
						'widget_sub_title_color' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'restaurantz' ),
							'default' => '#313131',
						),
						'text_color' => array(
							'type'    => 'color',
							'label'   => __( 'Text Color', 'restaurantz' ),
							'default' => '#fff',
						),
						'link_color' => array(
							'type'    => 'color',
							'label'   => __( 'Link Color', 'restaurantz' ),
							'default' => '#f9a400',
						),
						'link_hover_color' => array(
							'type'    => 'color',
							'label'   => __( 'Link Hover Color', 'restaurantz' ),
							'default' => '#fff',
						),
						'meta_background_color' => array(
							'type'    => 'color',
							'label'   => __( 'Meta Background Color', 'restaurantz' ),
							'default' => 'rgba(0, 0, 0, 0.5) none repeat scroll 0 0',
						),
						'event_details_background_color' => array(
							'type'    => 'color',
							'label'   => __( 'Event Details Background Color', 'restaurantz' ),
							'default' => '#000',
						),
						'meta_color' => array(
							'type'    => 'color',
							'label'   => __( 'Meta Color', 'restaurantz' ),
							'default' => '#fff',
						),
						'day_color' => array(
							'type'    => 'color',
							'label'   => __( 'Day Color', 'restaurantz' ),
							'default' => '#f9a400',
						),
						'event_date_text_color' => array(
							'type'    => 'color',
							'label'   => __( 'Event Date Text Color', 'restaurantz' ),
							'default' => '#fff',
						),
	    			),
				),
			)
		);

	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings_color']['widget_title_color'] ) ) {
			$less_vars['widget_title_color'] = $instance['settings_color']['widget_title_color'];
		}
		if ( ! empty( $instance['settings_color']['widget_sub_title_color'] ) ) {
			$less_vars['widget_sub_title_color'] = $instance['settings_color']['widget_sub_title_color'];
		}
		if ( ! empty( $instance['settings_color']['text_color'] ) ) {
			$less_vars['text_color'] = $instance['settings_color']['text_color'];
		}
		if ( ! empty( $instance['settings_color']['link_color'] ) ) {
			$less_vars['link_color'] = $instance['settings_color']['link_color'];
		}
		if ( ! empty( $instance['settings_color']['link_hover_color'] ) ) {
			$less_vars['link_hover_color'] = $instance['settings_color']['link_hover_color'];
		}
		if ( ! empty( $instance['settings_color']['meta_background_color'] ) ) {
			$less_vars['meta_background_color'] = $instance['settings_color']['meta_background_color'];
		}
		if ( ! empty( $instance['settings_color']['event_details_background_color'] ) ) {
			$less_vars['event_details_background_color'] = $instance['settings_color']['event_details_background_color'];
		}
		if ( ! empty( $instance['settings_color']['meta_color'] ) ) {
			$less_vars['meta_color'] = $instance['settings_color']['meta_color'];
		}
		if ( ! empty( $instance['settings_color']['day_color'] ) ) {
			$less_vars['day_color'] = $instance['settings_color']['day_color'];
		}
		if ( ! empty( $instance['settings_color']['event_date_text_color'] ) ) {
			$less_vars['event_date_text_color'] = $instance['settings_color']['event_date_text_color'];
		}
		return $less_vars;

	}

	function get_event_query_args( $instance ) {

		$events_args = array();

		// For future events.
		$events_args = array(
			'limit' => 1,
		);

		// Checking Event ID if entered.
		if ( isset( $instance['featured_event_id'] ) && absint( $instance['featured_event_id'] ) > 0  ) {
			$events_args['scope']   = 'all';
			$events_args['post_id'] = absint( $instance['featured_event_id'] );
		}
		return $events_args;

	}

	function get_country_from_country_code( $code ) {
		if ( empty( $code ) ) {
			return;
		}
		$country = '';
		$countries = '';
		if ( function_exists( 'em_get_countries' ) ) {
			$countries = em_get_countries();
		}
		if ( empty( $countries ) ) {
			return;
		}
		foreach ( $countries as $key => $value ) {
			if ( $key === $code ) {
				$country = $value;
				break;
			}
		}
		return $country;
	}
}

siteorigin_widget_register( 'restaurantz-featured-event', __FILE__, 'Restaurantz_Featured_Event_Widget' );
