<?php

class Restaurantz_Tabular_Menu_Widget extends SiteOrigin_Widget {

	function __construct() {

		parent::__construct(
			'restaurantz-tabular-menu',
			__( 'Restaurantz: Tabular Menu', 'restaurantz' ),
			array(
				'description' => __( 'Displays all Food Menus in Tabular format', 'restaurantz' ),
			),
			array(),
			array(
				'title' => array(
					'type'  => 'text',
					'label' => __( 'Title', 'restaurantz' ),
				),
				'sub_title' => array(
					'type'  => 'text',
					'label' => __( 'Subtitle', 'restaurantz' ),
				),
				'settings' => array(
					'type'   => 'section',
					'label'  => __( 'Settings', 'restaurantz' ),
					'fields' => array(
						'per_row' => array(
							'type' => 'select',
							'label' => __( 'Dishes Per Row', 'restaurantz' ),
							'default' => 4,
							'options' => array(
								'1' => 1,
								'2' => 2,
								'3' => 3,
								'4' => 4,
							),
						),
					),
				),
				'settings_color' => array(
					'type'   => 'section',
					'label'  => __( 'Color Settings', 'restaurantz' ),
					'hide' => true,
					'fields' => array(
						'color_widget_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Title Color', 'restaurantz' ),
							'default' => '#562c19',
						),
						'color_widget_sub_title' => array(
							'type'    => 'color',
							'label'   => __( 'Widget Subtitle Color', 'restaurantz' ),
							'default' => '#313131',
						),
						'color_category_background' => array(
							'type'    => 'color',
							'label'   => __( 'Category Background Color', 'restaurantz' ),
							'default' => '#562c19',
						),
						'color_category_title' => array(
							'type'    => 'color',
							'label'   => __( 'Category Title Color', 'restaurantz' ),
							'default' => '#fff',
						),
						'color_item' => array(
							'type'    => 'color',
							'label'   => __( 'Item Color', 'restaurantz' ),
							'default' => '#313131',
						),
						'color_price' => array(
							'type'    => 'color',
							'label'   => __( 'Price Color', 'restaurantz' ),
							'default' => '#313131',
						),
						'color_item_border' => array(
							'type'    => 'color',
							'label'   => __( 'Item Border Color', 'restaurantz' ),
							'default' => '#f9a400',
						),
	    			),
				),
			),
			plugin_dir_path( __FILE__ )
		);
	}

	function get_style_name( $instance ) {
		return 'default';
	}

	function get_template_name( $instance ) {
		return 'default';
	}

	function get_less_variables( $instance ) {

		$less_vars = array();
		if ( ! empty( $instance['settings_color']['color_widget_title'] ) ) {
			$less_vars['color_widget_title'] = $instance['settings_color']['color_widget_title'];
		}
		if ( ! empty( $instance['settings_color']['color_widget_sub_title'] ) ) {
			$less_vars['color_widget_sub_title'] = $instance['settings_color']['color_widget_sub_title'];
		}
		if ( ! empty( $instance['settings_color']['color_category_background'] ) ) {
			$less_vars['color_category_background'] = $instance['settings_color']['color_category_background'];
		}
		if ( ! empty( $instance['settings_color']['color_category_title'] ) ) {
			$less_vars['color_category_title'] = $instance['settings_color']['color_category_title'];
		}
		if ( ! empty( $instance['settings_color']['color_item'] ) ) {
			$less_vars['color_item'] = $instance['settings_color']['color_item'];
		}
		if ( ! empty( $instance['settings_color']['color_price'] ) ) {
			$less_vars['color_price'] = $instance['settings_color']['color_price'];
		}
		if ( ! empty( $instance['settings_color']['color_item_border'] ) ) {
			$less_vars['color_item_border'] = $instance['settings_color']['color_item_border'];
		}
		return $less_vars;

	}
}

siteorigin_widget_register( 'restaurantz-tabular-menu', __FILE__, 'Restaurantz_Tabular_Menu_Widget' );
