<?php if ( ! empty( $instance['title'] ) ) : ?>
<?php echo $args['before_title'] . esc_html( $instance['title'] ) . $args['after_title']; ?>
<?php endif; ?>
<?php if ( ! empty( $instance['sub_title'] ) ) : ?>
	<h4 class="widget-sub-title"><?php echo esc_html( $instance['sub_title'] ); ?></h4>
<?php endif; ?>

<?php $last_row = floor( ( count($instance['members']) - 1 ) / $instance['per_row'] ); ?>

<?php if ( ! class_exists( 'Jetpack' ) ) : ?>

    <?php if ( current_user_can( 'manage_options' ) ) : ?>

	    <p><?php _e( 'Jetpack is not active. Please activate it and enter Food Menu Items and Menu Sections.', 'restaurantz' ); ?></p>

    <?php else : ?>

    	<p><?php _e( 'No Food Menus found.', 'restaurantz' ); ?></p>

    <?php endif; ?>

<?php else : ?>

	<div class="tabular-menu-main tabular-menu-column-<?php echo esc_attr( $instance['settings']['per_row'] ); ?>">
		<?php
		$category_ids = array();
		$i = 0;

		$categories = get_terms( 'nova_menu', 'orderby=count&hide_empty=1' );

		foreach ( $categories as $key => $value ) {
			$category_names[ $key ] = $value->name;
		}

		foreach ( $categories as $key => $value ) {
			$category_ids[ $key ] = $value->term_id;
		}

		$j = 0;

		foreach ( $category_ids as $i => $category_id ) :

		 	$args_menu_item = array(
				'post_type' => 'nova_menu_item',
				'tax_query' => array(
					array(
						'taxonomy' => 'nova_menu',
						'terms'    => $category_id,
					),
				),
			);
			$all_posts = get_posts( $args_menu_item ); ?>

			<?php if( $i % $instance['settings']['per_row'] == 0 && $i != 0 ) : ?>
				<div class="clear-fix"></div>
			<?php endif; ?>
			<div class="resturantz-tabular-menu-item">
				<?php
				$temp_cat = get_term_by( 'id', $category_id, 'nova_menu' );
				$new_name = '';
				if ( ! empty( $temp_cat ) && ! is_wp_error( $temp_cat ) ) {
					$new_name = $temp_cat->name;
				}
				if ( ! empty( $new_name ) ) : ?>
					<h3 class="menu-category-title">
						<?php echo esc_html( $new_name ); ?>
					</h3>
				<?php $j++; endif; ?>

				<?php if ( ! empty( $all_posts ) ) : ?>
					<?php foreach ( $all_posts as $i => $post ) : ?>
						<div class="tabular-menu-item">
							<p class="tabular-menu-title"><?php echo apply_filters( 'the_title', $post->post_title ); ?></p>
							<!-- .tabular-menu-title -->

							<?php $price = get_post_meta( $post->ID, 'nova_price', true ); ?>

							<?php if ( ! empty( $price ) ) : ?>
								<span class="menu-price"><?php echo esc_html( $price ); ?></span>
							<?php endif; ?>
							<!-- .tabular-menu-price -->
						</div><!-- .tabular-menu-item -->
					<?php endforeach; ?>
			 	<?php endif; ?>
		 	</div><!-- .resturantz-tabular-menu-item -->
	 	<?php endforeach; ?>
	</div><!-- .tabular-menu-main -->
<?php endif;
